{%- from 'components/section.html.jinja' import section_base, section_full, section_text_left, title_section -%}
{% extends "base.html.jinja" %}

{%- block page -%}
  {{ title_section(base, page.get_title_section()) }}

  {% call section_text_left(page.get_fim_verstehen_section(), false) %}
    <div class="check-list">{{ page.fim_verstehen_list|safe }}</div>
  {% endcall %}

  {% call section_base(false) %}
    <video
      class="rounded w-100 shadow-lg"
      controls
      poster="{{ page.fim_verstehen_video_thumbnail.url }}"
      aria-label="FIM Erklärvideo"
    >
      <source
        src="{{ page.fim_verstehen_video.url }}"
        type="{{ page.fim_verstehen_video.mime }}"
      />
      <track
        label="Deutsch"
        kind="subtitles"
        srclang="de"
        src="{{ page.fim_verstehen_video_subtitles.url }}"
        default
      />
      <p>
        Ihr Browser unterstützt das Video-Element nicht. Sie können das Video
        <a href="{{ page.fim_verstehen_video.url }}">hier herunterladen</a>.
      </p>
    </video>
  {% endcall %}

  {% call section_base(false) %}
    <div class="row g-5">
      <div class="col-lg-6 text-center">
        <img src="{{ page.fim_modell_image.url }}" alt="" />
      </div>
      <div class="col-lg-6">
        <h2 class="fs-4 text-primary">
          Das FIM Modell
          <span class="d-block fs-2 text-dark mt-2 mb-4"
            >{{ page.fim_modell_titel }}</span
          >
        </h2>
        <div class="mb-4">
          <h3 class="fs-6 fw-semibold mb-3">
            <i class="bi bi-circle-fill text-secondary me-1"></i>
            FIM-Stamminformationen der Bundesebene
          </h3>
          <div>{{ page.fim_modell_bund_text|safe }}</div>

          <h3 class="fs-6 fw-semibold mb-3">
            <i class="bi bi-circle-fill text-danger me-1"></i> Ergänzungen auf
            Landesebene
          </h3>
          <div>{{ page.fim_modell_land_text|safe }}</div>

          <h3 class="fs-6 fw-semibold mb-3">
            <i class="bi bi-circle-fill text-warning me-1"></i>
            Ergänzungen der Kommunalebene
          </h3>
          <div>{{ page.fim_modell_kommune_text|safe }}</div>
        </div>
      </div>
    </div>
  {% endcall %}

  <div class="overlap-section">
    <div class="bg-upper bg-white"></div>
    <div class="bg-lower bg-light"></div>

    <section class="container">
      <div
        class="card img-bg-card shadow"
        style="background-image: url('{{ base.info_box_background_image.url }}')"
      >
        <div class="card-body p-5">
          <div class="row g-5">
            <div class="col-lg-6">
              <h2>{{ page.mehr_erfahren_titel }}</h2>
            </div>

            <div class="col-lg-6">
              <h3 class="fs-4 mb-3">{{ page.mehr_erfahren_text|safe }}</h3>
              <div class="d-flex flex-row gap-3">
                <a
                  class="btn btn-lg btn-light"
                  target="_blank"
                  href="{{ base.docs_link }}"
                  aria-label="Dokumentation (öffnet in neuem Tab)"
                >
                  Dokumentation
                  <i class="bi bi-box-arrow-up-right"></i>
                </a>
                <a class="btn btn-lg btn-light" href="/schulung">Schulung</a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </section>
  </div>

  {% call section_full(page.get_baustein_section(), true) %}
    <div class="row g-3 mb-5">
      {% for baustein in page.get_bausteine() %}
        <div class="col-lg-4 d-flex flex-column">
          <div class="flex-fill card shadow">
            <div class="card-body p-4 text-center">
              <h3 class="fs-2 fw-semibold text-primary mb-4">
                {{ baustein.titel }}
              </h3>
              <p>{{ baustein.text|safe }}</p>
              <p>
                <b class="text-muted">Standard:</b>
                <a href="{{ baustein.link }}">{{ baustein.link_label }}</a>
              </p>
            </div>
          </div>
        </div>
      {% endfor %}
    </div>
    <div class="text-center">{{ page.bausteine_text_2|safe }}</div>
  {% endcall %}

  {% call section_full(page.get_example_section(), false) %}
    <ul class="user-journey">
      {% for step in example_steps %}
        <li data-icon="{{ step.icon|safe }}" class="mb-5">
          <div class="d-flex flex-column">
            <h3 class="fs-4 text-primary mb-4">{{ step.title }}</h3>
            {{ step.content|safe }}
          </div>
        </li>
      {% endfor %}
      <li data-icon="&#xF26B;"></li>
    </ul>
  {% endcall %}
{%- endblock -%}
